Bullet Collision Detection & Physics Library: btComputeGjkEpaPenetration.h File Reference

Bullet Collision Detection & Physics Library

Functions
btComputeGjkEpaPenetration.h File Reference
`#include "LinearMath/btTransform.h"`
`#include "btGjkEpa3.h"`
`#include "btGjkCollisionDescription.h"`
`#include "BulletCollision/NarrowPhaseCollision/btVoronoiSimplexSolver.h"`
Include dependency graph for btComputeGjkEpaPenetration.h:

Go to the source code of this file.

## Functions
template<typename btConvexTemplate >
bool | btGjkEpaCalcPenDepth (const btConvexTemplate &a, const btConvexTemplate &b, const btGjkCollisionDescription &colDesc, btVector3 &v, btVector3 &wWitnessOnA, btVector3 &wWitnessOnB)
template<typename btConvexTemplate , typename btGjkDistanceTemplate >
int | btComputeGjkEpaPenetration (const btConvexTemplate &a, const btConvexTemplate &b, const btGjkCollisionDescription &colDesc, btVoronoiSimplexSolver &simplexSolver, btGjkDistanceTemplate *distInfo)

## Function Documentation

## § btComputeGjkEpaPenetration()

template<typename btConvexTemplate , typename btGjkDistanceTemplate >

int btComputeGjkEpaPenetration | ( | const btConvexTemplate & | a,
|  | const btConvexTemplate & | b,
|  | const btGjkCollisionDescription & | colDesc,
|  | btVoronoiSimplexSolver & | simplexSolver,
|  | btGjkDistanceTemplate * | distInfo
| ) |  |

this is another degenerate case, where the initial GJK calculation reports a degenerate case EPA reports no penetration, and the second GJK (using the supporting vector without margin) reports a valid positive distance. Use the results of the second GJK instead of failing. thanks to Jacob.Langford for the reproduction case http://code.google.com/p/bullet/issues/detail?id=250

Definition at line 66 of file btComputeGjkEpaPenetration.h.

## § btGjkEpaCalcPenDepth()

template<typename btConvexTemplate >

bool btGjkEpaCalcPenDepth | ( | const btConvexTemplate & | a,
|  | const btConvexTemplate & | b,
|  | const btGjkCollisionDescription & | colDesc,
|  | btVector3 & | v,
|  | btVector3 & | wWitnessOnA,
|  | btVector3 & | wWitnessOnB
| ) |  |

Definition at line 30 of file btComputeGjkEpaPenetration.h.